Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » Visual Editor (VE) » Unable to get VE to work
Unable to get VE to work [message #609175] Fri, 22 July 2005 11:53
Eclipse UserFriend
Originally posted by: natarajv.eml.cc

Hi,


We had been trying to get VE (with SWT support) to work for us for the
past few weeks, without any success.

I had tried the following combinations recently
1)
eclipse-SDK-3.0.2-win32.zip
emf-sdo-runtime-2.0.2.zip
GEF-runtime-3.0.1.zip
VE-runtime-1.0.2.2.zip

---

2)
eclipse-SDK-3.0.1-win32.zip
VE-runtime-1.1RC2.zip
GEF-runtime-3.1.zip
emf-sdo-runtime-2.1.0.zip

When I tried with VE 1.0.2.2, I was able to get the SWING/VE working. But
I was never able to get SWT to work.

Most of the errors (in VE1.1RC1 and in VE1.0.2.2)are due to any of the
following:
1. org.eclipse.swt.SWTException: Failed to execute runnable
(java.lang.NoSuchMethodError: org.eclipse.swt.graphics.GC.getAdvanced()Z)
2. java.lang.NoClassDefFoundError: org.eclipse.swt.widgets.Widget

I dont know where I have to add the java.library.path for the plugin under
Eclipse 3.1. The plugin is not able to find the windows DLLs.

Please help.


Regards,
V. Natarajan
Previous Topic:VE 1.1 Release Candidate 2 available
Next Topic:Applet context in Visual Editor
Goto Forum:
  


Current Time: Mon Sep 24 17:03:52 GMT 2018

Powered by FUDForum. Page generated in 0.01822 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top